org.eclipse.rdf4j.repository.sail

## Class SailQueryPreparer

- java.lang.Object
- - org.eclipse.rdf4j.repository.sail.SailQueryPreparer

- All Implemented Interfaces:
    QueryPreparer

      public class SailQueryPreparer
      extends Object
      implements QueryPreparer

  QueryPreparer for use with SailRepository.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailQueryPreparer(SailRepositoryConnection con, boolean includeInferred)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TripleSource` | `getTripleSource()`
    `BooleanQuery` | `prepare(ParsedBooleanQuery askQuery)`
    `GraphQuery` | `prepare(ParsedGraphQuery graphQuery)`
    `TupleQuery` | `prepare(ParsedTupleQuery tupleQuery)`
    `Update` | `prepare(ParsedUpdate graphUpdate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SailQueryPreparer

          public SailQueryPreparer(SailRepositoryConnection con,
                                   boolean includeInferred)

  - ### Method Detail

    - #### prepare

          public BooleanQuery prepare(ParsedBooleanQuery askQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public TupleQuery prepare(ParsedTupleQuery tupleQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public GraphQuery prepare(ParsedGraphQuery graphQuery)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### prepare

          public Update prepare(ParsedUpdate graphUpdate)

      Specified by:
        `prepare` in interface `QueryPreparer`

    - #### getTripleSource

          public TripleSource getTripleSource()

      Specified by:
        `getTripleSource` in interface `QueryPreparer`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.